<?php
namespace Pinpoint\ProductPersonalisation\Block\Adminhtml\ImageTemplate\Edit;
use Magento\Framework\View\Element\UiComponent\Control\ButtonProviderInterface;

/**
 * Class PreviewButton
 * @package Pinpoint\ProductPersonalisation\Block\Adminhtml\ImageTemplate\Edit
 */
class PreviewButton extends GenericButton implements ButtonProviderInterface
{
    /**
     * @return array
     */
    public function getButtonData()
    {
        if(!$this->getObjectId()) { return []; }
        return [
                'label' => __('Preview Template'),
                'class' => 'delete',
                'on_click' => 'window.generatePreview(true, false)',
                'sort_order' => 21,
            ];
    }
}
