<?php
namespace Pinpoint\ProductPersonalisation\Model;
/**
 * Class ImageTemplate
 * @package Pinpoint\ProductPersonalisation\Model
 */
class ImageTemplate extends \Magento\Framework\Model\AbstractModel implements \Pinpoint\ProductPersonalisation\Api\Data\ImageTemplateInterface, \Magento\Framework\DataObject\IdentityInterface
{
    /**
     * @var string
     */
    const CACHE_TAG = 'pinpoint_productpersonalisation_imagetemplate';

    protected function _construct()
    {
        $this->_init('Pinpoint\ProductPersonalisation\Model\ResourceModel\ImageTemplate');
    }

    /**
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}
