<?php
namespace Pinpoint\ProductPersonalisation\Block\Adminhtml\ImageTemplate\Edit;
use Magento\Framework\View\Element\UiComponent\Control\ButtonProviderInterface;

/**
 * Class SaveButton
 * @package Pinpoint\ProductPersonalisation\Block\Adminhtml\ImageTemplate\Edit
 */
class SaveButton extends GenericButton implements ButtonProviderInterface
{
    /**
     * @return array
     */
    public function getButtonData()
    {
        return [
            'label' => __('Save Image Template'),
            'class' => 'saveImageTemplate primary',
            /*'data_attribute' => [
                'mage-init' => ['button' => ['event' => 'save']],
                'form-role' => 'save',
            ],*/
            'sort_order' => 90,
        ];
    }
}
