<?php
namespace Pinpoint\ProductPersonalisation\Model;
/**
 * Class ImageRow
 * @package Pinpoint\ProductPersonalisation\Model
 */
class ImageRow extends \Magento\Framework\Model\AbstractModel implements \Pinpoint\ProductPersonalisation\Api\Data\ImageRowInterface, \Magento\Framework\DataObject\IdentityInterface
{
    /**
     * @var string
     */
    const CACHE_TAG = 'pinpoint_productpersonalisation_imagerow';

    protected function _construct()
    {
        $this->_init('Pinpoint\ProductPersonalisation\Model\ResourceModel\ImageRow');
    }

    /**
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}
