<?php

namespace Pinpoint\ProductPersonalisation\Model\ImageTemplate\Options;

class Orientation implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * @var null|array
     */
    protected $options;

    /**
     * @return array
     */
    public function toOptionArray()
    {
        if (null == $this->options) {
            $this->options = [
                ['label' => 'Landscape', 'value' => 'landscape'],
                ['label' => 'Portrait', 'value' => 'portrait']
            ];
        }

        return $this->options;
    }
}
